<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui">
    <h:head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

        <title>Contenido</title>
    </h:head>
    <body>
        <ui:composition template="./main.xhtml">
            <ui:define name="content">

                <p:panel header="Titulo" style="margin-bottom:10px"> 

                    <h:form id="formIngre">
                        <p:growl id="msg" />
                        <h:panelGrid columns="2" cellpadding="2" cellspacing="2"> 
                            <h:outputText value="Ingresar1" style="margin-right:5px;" />
                            <p:inputText value="ingresar1" />
                            <h:outputText value="Ingresar2" style="margin-right:5px;" />
                            <p:inputText value="ingresar2" />
                            <h:outputText value="Ingresar3" style="margin-right:5px;" />
                            <p:inputText value="ingresar3" />
                        </h:panelGrid>
                        <h:panelGrid columns="2" cellpadding="2" cellspacing="2">
                            <p:commandButton style="top:6px" icon="pi pi-save" rendered="#" value="Registrar" actionListener="#" update=":tabla,formIngre,:formIngre:msg"/>
                            <p:commandButton style="top:6px" icon="pi pi-list" value="Ver Detalles" actionListener="#"  onclick="PF('tablam1').show();"/>
                            <p:commandButton icon="pi pi-times"   rendered="#" value="Cancelar" actionListener="#" update=":tabla,formIngre,:formIngre:msg"/>
                            <p:commandButton icon="pi pi-refresh" rendered="#" value="Actualizar" actionListener="#" update=":tabla,formIngre,:formIngre:msg"/>
                        </h:panelGrid>
                    </h:form>    

                </p:panel>

                <p:dialog header="Detalles" widgetVar="tablam1">
                    <h:form id="tabla"  class="dosColumnas">
                        <p:dataTable value="#" var="ver" id="data" paginator="true" rows="5">
                            <p:column headerText="Nombre">
                                <h:outputText value="#"></h:outputText>
                            </p:column>

                            <p:column headerText="Acciones">
                                <center> 
                                    <p:commandButton icon="pi pi-trash"  value="Eliminar" actionListener="#" update=":tabla"/>
                                    <p:commandButton icon="pi pi-pencil" value="Editar" actionListener="#" update=":formIngre"></p:commandButton>
                                </center>
                            </p:column>
                        </p:dataTable>
                    </h:form>
                </p:dialog> 


            </ui:define>
        </ui:composition>

    </body>
</html>
